edu.sc.seis.sod.tools

## Class TimeParser

- java.lang.Object
- - com.martiansoftware.jsap.StringParser
  - - edu.sc.seis.sod.tools.TimeParser

-     public class TimeParser
      extends com.martiansoftware.jsap.StringParser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIRST_SEISMOGRAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeParser(boolean ceiling)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.martiansoftware.jsap.FlaggedOption` | `createParam(java.lang.String name, java.lang.String defaultTime, java.lang.String helpMessage, boolean ceiling)`
    `static com.martiansoftware.jsap.FlaggedOption` | `createYesterdayParam(java.lang.String name, java.lang.String helpMessage, boolean ceiling)`
    `static java.lang.String` | `format(edu.iris.Fissures.model.MicroSecondDate d)`
    `static java.lang.String` | `formatForParsing(edu.iris.Fissures.model.MicroSecondDate d)`
    `edu.iris.Fissures.model.MicroSecondDate` | `getMicroSecondDate(java.lang.String arg)`
    `java.lang.Object` | `parse(java.lang.String arg)`
    `java.lang.String` | `parseDate(java.lang.String arg)`

    - ### Methods inherited from class com.martiansoftware.jsap.StringParser

      `setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIRST_SEISMOGRAM

          public static final java.lang.String FIRST_SEISMOGRAM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TimeParser

          public TimeParser(boolean ceiling)

      Parameters:
        `ceiling` - should unspecified fields be floored or ceilinged.

  - ### Method Detail

    - #### parse

          public java.lang.Object parse(java.lang.String arg)
                                 throws com.martiansoftware.jsap.ParseException

      Specified by:
        `parse` in class `com.martiansoftware.jsap.StringParser`
      Throws:
        `com.martiansoftware.jsap.ParseException`

    - #### parseDate

          public java.lang.String parseDate(java.lang.String arg)
                                     throws com.martiansoftware.jsap.ParseException

      Throws:
        `com.martiansoftware.jsap.ParseException`

    - #### format

          public static java.lang.String format(edu.iris.Fissures.model.MicroSecondDate d)

    - #### formatForParsing

          public static java.lang.String formatForParsing(edu.iris.Fissures.model.MicroSecondDate d)

    - #### getMicroSecondDate

          public edu.iris.Fissures.model.MicroSecondDate getMicroSecondDate(java.lang.String arg)
                                                                     throws com.martiansoftware.jsap.ParseException

      Throws:
        `com.martiansoftware.jsap.ParseException`

    - #### createYesterdayParam

          public static com.martiansoftware.jsap.FlaggedOption createYesterdayParam(java.lang.String name,
                                                                                    java.lang.String helpMessage,
                                                                                    boolean ceiling)

    - #### createParam

          public static com.martiansoftware.jsap.FlaggedOption createParam(java.lang.String name,
                                                                           java.lang.String defaultTime,
                                                                           java.lang.String helpMessage,
                                                                           boolean ceiling)